--- !ruby/object:RI::ClassDescription 
attributes: []

class_methods: 
- !ruby/object:RI::MethodSummary 
  name: append_features
comment: 
constants: 
- !ruby/object:RI::Constant 
  comment: 
  - !ruby/struct:SM::Flow::P 
    body: date = date-fullyear date-month date-mday date-fullyear = 4 DIGIT date-month = 2 DIGIT date-mday = 2 DIGIT
  name: DATE
  value: "'(\\d\\d\\d\\d)(\\d\\d)(\\d\\d)'"
- !ruby/object:RI::Constant 
  comment: 
  - !ruby/struct:SM::Flow::P 
    body: time = time-hour [&quot;:&quot;] time-minute [&quot;:&quot;] time-second [time-secfrac] [time-zone] time-hour = 2 DIGIT time-minute = 2 DIGIT time-second = 2 DIGIT time-secfrac = &quot;,&quot; 1*DIGIT time-zone = &quot;Z&quot; / time-numzone time-numzome = sign time-hour [&quot;:&quot;] time-minute
  - !ruby/struct:SM::Flow::VERB 
    body: " TIME = '(\\d\\d)(\\d\\d)(\\d\\d)(Z)?'\n"
  name: TIME
  value: "'(\\d\\d)(\\d\\d)(\\d\\d)'"
full_name: Icalendar::DateProp
includes: []

instance_methods: []

name: DateProp
superclass: 
